class Agua{
  
  // propriedades da classe
 float xpos, ypos; // coordenadas da posição do átomo de oxigênio
 float angle = 0; // ângulo de giro da molécula em relação ao eixo 'z'
 
 // CONSTRUTORA
 Agua(float x, float y){
   xpos = x;
   ypos = y;
 }
 
 // função que desenha a molécula de água
 void display(){
   pushMatrix();
   translate(xpos, ypos); // origem: átomo de oxigênio 
   rotate(angle); // gira o sistema de coordenadas de 'angle'
   pushMatrix();
   rotate(2*PI/3);
   stroke(0);
   line(0, 0, comprimento/2, 0);
   noStroke();
   fill(122); // CINZA
   ellipse(comprimento/2, 0, comprimento/5, comprimento/5); // desenhamos um átomo de hidrogênio
   popMatrix();
   stroke(0);
   line(0, 0, comprimento/2, 0);
   noStroke();
   ellipse(comprimento/2, 0, comprimento/5, comprimento/5); // desenhamos o outro átomo de hidrogênio
   fill(#FC928F); // ROSA
   ellipse(0, 0, 1.1*comprimento/5, 1.1*comprimento/5); // desenhamos o átomo de oxigênio
   popMatrix();
 }
 
 // função que faz a molécula se mover no plano
 void anda(float vx, float vy){
   xpos += vx;
   ypos += vy;
 }
 
 // função que faz a molécula girar nu eixo 'z'
 void gira(float w){
   angle += w;
 }

 // define uma nova posição
 void setPosition(float x, float y){
   xpos = x;
   ypos = y;
 }
}
   
   
